Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 37360 - table editor components should not have borders
table editor components should not have borders
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
3.x
PC Windows ME/2000
: P3 (vote)
: 3.x
Assigned To: _ tboudreau
issues@platform
:
Depends on: 31896 36719
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-20 08:03 UTC by madhav288
Modified: 2008-12-22 21:37 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
bug screenshot (129.74 KB, image/gif)
2003-11-20 08:05 UTC, madhav288
Details
supposed behavior, without border for the text field. (2.35 KB, image/gif)
2003-11-20 08:11 UTC, madhav288
Details

Note You need to log in before you can comment on or make changes to this bug.
Description madhav288 2003-11-20 08:03:58 UTC
table editor components should not have borders.
Please see the attachment.
Comment 1 madhav288 2003-11-20 08:05:59 UTC
Created attachment 12229 [details]
bug screenshot
Comment 2 madhav288 2003-11-20 08:11:41 UTC
Created attachment 12230 [details]
supposed behavior, without border for the text field.
Comment 3 _ tboudreau 2003-11-20 11:28:41 UTC
The real problem here is that the height of the field is too short. 
This has already been fixed on the property panel rewrite branch,
which will be merged soon.  In the current trunk, there are two
problems that create this situation:
 - The height of columns is based on the max of the height of the    
   expansion icon and the height of the font - it doesn't take into
   account borders.
 - Windows classic look and feel uses a two pixel wide border for 
   text components.  In fact, on metal or XP look and feels, it works
   fine in the trunk because the text field border is a single line
   border

The point is that the text field border should be whatever the look
and feel decides is the correct type of border - otherwise you can end
up in situations where it is impossible to tell if an editor is
present or not.  So it's much safer to use the border that the look
and feel supplies for whatever type of component you're using.  It
serves as an indication that the editor is indeed in edit mode.

Once the property panel rewrite branch is merged, the height of the
fields will take into account the border height, and this will be a
non-problem even with the border, so I'm closing this issue as
WONTFIX.  See issue 36719 re the height of rows in the table.

Adding Dusan from HIE to cc in case he has an opinion on this.
Comment 4 _ tboudreau 2003-11-23 21:41:24 UTC
Hmm, after thinking about it, I've changed my mind.  Fixed on property
panel rewrite branch.
Comment 5 _ tboudreau 2003-12-09 09:36:54 UTC
Property panel rewrite branch merged.
Comment 6 Marian Mirilovic 2005-07-13 13:24:22 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo